Subject: [tcpm] WG acceptance of draft-eddy-rfc793bis-05 - please reply!

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Wed, 25 Mar 2015 22:31:21 +0000

Hi all,

During the Dallas meeting in Dallas, there has been strong and unanimous support for adopting draft-eddy-rfc793bis-05 as new TCPM working group document.

This email therefore starts a WG adoption call of draft-eddy-rfc793bis-05, which will run on the mailing list until April 8.

The chairs suggest to add the following milestone to the TCPM charter:

April 2017    Submit RFC793bis document to the IESG for publication as a Proposed Standard

The chairs believe that it is consensus in TCPM that RFC793bis will not introduce protocol changes that have not already been approved by past consensus, e.g., by a standards track RFC or by a verified errata. The document is expected to obsolete RFC 793 and to update RFC 1122, as well as further TCP specifications.

Please explicitly reply to this e-mail if you support WG acceptance. Since we run the adoption call on the list, please reply even if you have already hummed in Dallas to support the document. A simple "+1" response is sufficient to document support.

The chairs will only proceed with WG acceptance if there is a sufficient number of reviewers who explicitly commit to review upcoming versions of the RFC793bis draft, prior to submission to IESG. Please let us chairs know now if you volunteer for reviews, in particular regarding the accuracy of RFC793bis. The chairs will keep track of volunteers. Please help TCPM with reviews of this crucial document!

If there were any concerns regarding adopting draft-eddy-rfc793bis-05, please speak up.

Thanks

Michael, Pasi, Yoshifumi

---

From: "Scheffenegger, Richard" <[email-masked]>
Date: Wed, 25 Mar 2015 23:03:57 +0000

All for adoption; milestone might be a bit optimistic I can imagine, but you have to start somewhere...

Richard

> -----Original Message-----
> From: tcpm [mailto:[email-masked]] On Behalf Of Scharf, Michael
> (Michael)
> Sent: Mittwoch, 25. März 2015 17:31
> To: [email-masked]
> Subject: [tcpm] WG acceptance of draft-eddy-rfc793bis-05 - please reply!
> 
> Hi all,
> 
> During the Dallas meeting in Dallas, there has been strong and unanimous
> support for adopting draft-eddy-rfc793bis-05 as new TCPM working group
> document.
> 
> This email therefore starts a WG adoption call of draft-eddy-rfc793bis-05,
> which will run on the mailing list until April 8.
> 
> The chairs believe that it is consensus in TCPM that RFC793bis will not
> introduce protocol changes that have not already been approved by past
> consensus, e.g., by a standards track RFC or by a verified errata. The
> document is expected to obsolete RFC 793 and to update RFC 1122, as well
> as further TCP specifications.
> 
> Please explicitly reply to this e-mail if you support WG acceptance. Since
> we run the adoption call on the list, please reply even if you have
> already hummed in Dallas to support the document. A simple "+1" response
> is sufficient to document support.
> 
> The chairs will only proceed with WG acceptance if there is a sufficient
> number of reviewers who explicitly commit to review upcoming versions of
> the RFC793bis draft, prior to submission to IESG. Please let us chairs
> know now if you volunteer for reviews, in particular regarding the
> accuracy of RFC793bis. The chairs will keep track of volunteers. Please
> help TCPM with reviews of this crucial document!
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Wed, 25 Mar 2015 23:23:56 +0000

We have to put in a date. For almost all milestones I recall, TCPM has been slower than the chairs envisioned originally, and we have always given priority to document quality. This will in particular apply to RFC793bis. But the chairs keep being optimistic about the WG enthusiasm ;)

But we are open to other forecasts. I'd have a preference for numbers smaller than 2020...

Michael

> From: Scheffenegger, Richard [mailto:[email-masked]]
> Sent: Thursday, March 26, 2015 12:04 AM
> To: Scharf, Michael (Michael)
> Cc: [email-masked]; tcpm ([email-masked])
> Subject: RE: WG acceptance of draft-eddy-rfc793bis-05 - please reply!
> 
> 
> > April 2017    Submit RFC793bis document to the IESG for publication
> as a
> > Proposed Standard
> >
> > If there were any concerns regarding adopting draft-eddy-rfc793bis-
> 05,
> > please speak up.
> >
> > Thanks
> >
> > Michael, Pasi, Yoshifumi
> >

---

From: David Borman <[email-masked]>
Date: Wed, 25 Mar 2015 23:35:07 +0000

+1

I’m also willing to do review of the document.

	-David Borman

> On Mar 25, 2015, at 5:31 PM, Scharf, Michael (Michael) <[email-masked]> wrote:
> 
> Hi all,
> 

----------------------------------------------------------------------
The information contained in this transmission may be confidential. Any disclosure, copying, or further distribution of confidential information is not permitted unless such privilege is explicitly granted in writing by Quantum. Quantum reserves the right to have electronic communications, including email and attachments, sent across its networks filtered through anti virus and spam software programs and retain such messages in order to comply with applicable data security and retention requirements. Quantum is not responsible for the proper and complete transmission of the substance of this communication or for any delay in its receipt.

---

From: Joe Touch <[email-masked]>
Date: Wed, 25 Mar 2015 16:46:33 -0700

+1, same here.

It might be useful to have some fairly clear guidelines of what is
considered in-scope and not, FWIW.

I certainly would not want to see this become a roll-together of the
roadmap. I.e., my preference would be a general rule:

	- only items that update existing 793 content

I.e., a focus on clarification and updating, but not augmenting where
possible.

Joe

---

From: "Scheffenegger, Richard" <[email-masked]>
Date: Thu, 26 Mar 2015 00:06:19 +0000

Joe,

I was wondering about this as well; Wes made the comment to add parts of 7323 - but then again, TS and PAWS really are optional features. IMHO keeping such items outside the document should help limiting the scope (and effort to track down all the necessary changes).

Best regards,
  Richard

> From: tcpm [mailto:[email-masked]] On Behalf Of Joe Touch
> Sent: Mittwoch, 25. März 2015 18:47
> To: David Borman; Scharf, Michael (Michael)
> Cc: [email-masked]
> Subject: Re: [tcpm] WG acceptance of draft-eddy-rfc793bis-05 - please
> reply!
> 
> +1, same here.
> 
> >> On Mar 25, 2015, at 5:31 PM, Scharf, Michael (Michael)
> <[email-masked]> wrote:
> >>
> >> Hi all,
> >>
> >> During the Dallas meeting in Dallas, there has been strong and
> unanimous support for adopting draft-eddy-rfc793bis-05 as new TCPM working
> group document.
> >>
> >> This email therefore starts a WG adoption call of draft-eddy-rfc793bis-
> 05, which will run on the mailing list until April 8.
> >>
> >> Please explicitly reply to this e-mail if you support WG acceptance.
> Since we run the adoption call on the list, please reply even if you have
> >> The chairs will only proceed with WG acceptance if there is a
> sufficient number of reviewers who explicitly commit to review upcoming
> versions of the RFC793bis draft, prior to submission to IESG. Please let
> us chairs know now if you volunteer for reviews, in particular regarding
> the accuracy of RFC793bis. The chairs will keep track of volunteers.
> Please help TCPM with reviews of this crucial document!
> >>
> > The information contained in this transmission may be confidential. Any
> disclosure, copying, or further distribution of confidential information
> is not permitted unless such privilege is explicitly granted in writing by
> Quantum. Quantum reserves the right to have electronic communications,
> including email and attachments, sent across its networks filtered through
> anti virus and spam software programs and retain such messages in order to
> comply with applicable data security and retention requirements. Quantum
> is not responsible for the proper and complete transmission of the
> substance of this communication or for any delay in its receipt.

---

From: Wesley Eddy <[email-masked]>
Date: Wed, 25 Mar 2015 20:11:59 -0400

> I.e., a focus on clarification and updating, but not augmenting where

I agree, it probably isn't as clear as it should be on this at the
moment.  While we're adopting, we can fix that!

For reference, here's the text on scope in -05:
"""

   The purpose of this document is to bring together all of the IETF
   Standards Track changes that have been made to the basic TCP
   functional specification and unify them into an update of the RFC 793
   protocol specification.  Some companion documents are referenced for
   important algorithms that TCP uses (e.g. for congestion control), but
   have not been attempted to include in this document.  This is a
   conscious choice, as this base specification can be used with
   multiple additional algorithms that are developed and incorporated
   separately, but all TCP implementations need to implement this
   specification as a common basis in order to interoperate.  As some
   additional TCP features have become quite complicated themselves
   (e.g. advanced loss recovery and congestion control), future
   companion documents may attempt to similarly bring these together.
"""

The attempt here was to avoid getting into most of the enhancements
and improvements that aren't strictly necessary, and just to add
pointers to the things that are "really important", for instance to
RFC 5681 for congestion control (which 1122 requires to be implemented).

This would actually be pretty consistent with the way that 1122
simply points to the Van Jacobson paper for slow-start and congestion
avoidance algorithms but doesn't try to describe them.

-- 
Wes Eddy
MTI Systems

---

From: Wesley Eddy <[email-masked]>
Date: Wed, 25 Mar 2015 20:14:40 -0400

> I was wondering about this as well; Wes made the comment to add parts of 7323 - but then again, TS and PAWS really are optional features. IMHO keeping such items outside the document should help li…

I may have mis-spoke, but the intention was to *point* to 7323,
as highly recommended for performing well in modern networks, but
not to suck its content in.

-- 
Wes Eddy
MTI Systems

---

From: Brian Trammell <[email-masked]>
Date: Wed, 25 Mar 2015 22:37:41 -0500

Approve adoption, will review.

Cheers, 

Brian

> On 25 Mar 2015, at 17:31, Scharf, Michael (Michael) <[email-masked]> wrote:
> 
> Hi all,
>

---

From: "Zimmermann, Alexander" <[email-masked]>
Date: Thu, 26 Mar 2015 07:45:40 +0000

+1 for adoption and reviewing

> Am 25.03.2015 um 23:31 schrieb Scharf, Michael (Michael) <[email-masked]>:
> 
> Hi all,
>

---

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Thu, 26 Mar 2015 10:49:07 +0000

Regarding the date: The 100th IETF would be in Nov. 2017, probably in Asia-Pacific.

Maybe completing RFC 793bis could be an appropriate target for that anniversary? (Yes, I know that this may be dreaming and the reasoning doesn't work in hex numbers, but awaiting IETF 0x80 doesn't seem a good alternative...)

Michael

---

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Thu, 26 Mar 2015 19:37:42 +0000

Hi,

I'd like to correct the suggested milestone, given a copy and paste error for the document status. Also, I'd like to relax the timing a bit:

Nov 2017    Submit RFC793bis document to the IESG for publication as Internet Standard

Please note that we need further feedback for determining the TCPM consensus on adoption.

Also, further volunteers for reviews (e.g., from implementers) would really be welcome.

Thanks

Michael

> Sent: Wednesday, March 25, 2015 11:31 PM
> To: [email-masked]
> unanimous support for adopting draft-eddy-rfc793bis-05 as new TCPM
> working group document.
> 
> document is expected to obsolete RFC 793 and to update RFC 1122, as
> well as further TCP specifications.
> 
> Since we run the adoption call on the list, please reply even if you
> have already hummed in Dallas to support the document. A simple "+1"
> response is sufficient to document support.
> 
> versions of the RFC793bis draft, prior to submission to IESG. Please
> let us chairs know now if you volunteer for reviews, in particular
> regarding the accuracy of RFC793bis. The chairs will keep track of
> volunteers. Please help TCPM with reviews of this crucial document!
>

---

From: Joe Touch <[email-masked]>
Date: Mon, 30 Mar 2015 10:33:21 -0700

> not to suck its content in.

That's useful.

This goes back also to the discussion of what to cite when we're talking
about TCP. If we mean the core protocol, 793 and its direct successors
ought to be sufficient.

Joe

---

From: Fernando Gont <[email-masked]>
Date: Wed, 01 Apr 2015 07:39:50 +0200

On 03/25/2015 11:31 PM, Scharf, Michael (Michael) wrote:
> This email therefore starts a WG adoption call of
> draft-eddy-rfc793bis-05, which will run on the mailing list until
> April 8.

I support adoption of this document -- and applaud Wes for the effort.

P.S.: I'm willing to review the document.

Thanks!

Best regards,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492